Create or update a Facebook conversion pixel configuration

http
PUT https://services.leadconnectorhq.com/ad-publishing/facebook/pixels

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
locationIdstringYesloc_abc123Account identifier
conversionPixelIdstringNopx_123Conversion pixel ID
namestringNoMy PixelPixel name
igUserIdstringNoig_user_123Instagram user ID
typestringYesLEAD_EVENTPixel event type

Responses

200 - Response
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X PUT 'https://services.leadconnectorhq.com/ad-publishing/facebook/pixels' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "loc_abc123",
  "conversionPixelId": "px_123",
  "name": "My Pixel",
  "igUserId": "ig_user_123",
  "type": "LEAD_EVENT"
}'

Last updated October 26, 2026

Was this page helpful?